#pragma once 

//#import "C:\\Program Files\\Common Files\\Microsoft Shared\\MSEnv\\vshelp.tlb" \
//    raw_interfaces_only, raw_native_types, no_smart_pointers, rename_namespace("VsNetHelp") 
#include "help-hdr/vshelp.h" 

//#import "C:\\Program Files\\Common Files\\Microsoft Shared\\MSEnv\\vshelp80.olb" \
//    raw_interfaces_only, raw_native_types, no_smart_pointers, rename_namespace("VsNetHelp") 
#include "help-hdr/vshelp80.h" 

using namespace VsNetHelp; 


//#import "C:\\Program Files\\Common Files\\Microsoft Shared\\VS98\\vshelp.dll" \
//    raw_interfaces_only, raw_native_types, no_smart_pointers, rename_namespace("Vs6Help") 
#include "help-hdr/vc6help.h" 

using namespace Vs6Help; 

struct _IVsHelpSystemVtbl
{
    HRESULT (STDMETHODCALLTYPE *QueryInterface)(IUnknown * This, REFIID riid, void **ppvObject);
    ULONG (STDMETHODCALLTYPE *AddRef)(IUnknown * This);
    ULONG (STDMETHODCALLTYPE *Release)(IUnknown * This); 

    HRESULT (STDMETHODCALLTYPE *KeywordSearch)(IUnknown * This, LPWSTR pszKeyword, long dwFlags, long dwReserved); 
    HRESULT (STDMETHODCALLTYPE *ALinkSearch) (IUnknown * This, LPWSTR pszALink, long dwFlags, long dwReserved ); 
    HRESULT (STDMETHODCALLTYPE *KeywordSearchDlg) (IUnknown * This, LPWSTR pszKeyword, long dwFlags, long dwReserved ); 
    HRESULT (STDMETHODCALLTYPE *FullTextSearchDlg) (IUnknown * This, LPWSTR pszQuery, long dwFlags, long dwReserved ); 
    HRESULT (STDMETHODCALLTYPE *GetCurrentURL) (IUnknown * This, BSTR * ppszURL ); 
    HRESULT (STDMETHODCALLTYPE *DisplayTopicFromURL) (IUnknown * This, LPWSTR pszURL, long Command ); 
    HRESULT (STDMETHODCALLTYPE *DisplayTopicFromIdentifier) (IUnknown * This, LPWSTR pszFile, long Id, long Command ); 
    HRESULT (STDMETHODCALLTYPE *ActivateHelpSystem) (IUnknown * This, long dwFlags ); 
    HRESULT (STDMETHODCALLTYPE *Reserved) (IUnknown * This, VHS_COMMAND Command, VsHelpErrors error ); 
}; 

struct _IVsHelpSystem 
{ 
    struct _IVsHelpSystemVtbl *lpVtbl; 
}; 


