// DSAddIn.h : header file
//

#if !defined(AFX_DSADDIN_H__A2DD20E7_018B_409E_A2DA_77F3B1F7F761__INCLUDED_)
#define AFX_DSADDIN_H__A2DD20E7_018B_409E_A2DA_77F3B1F7F761__INCLUDED_

#include "StdAfx.h" 
#include "commands.h"

// {84682DA4-4986-4E53-9BBB-260976FB6195}
DEFINE_GUID(CLSID_DSAddIn,
            0x84682da4, 0x4986, 0x4e53, 0x9b, 0xbb, 0x26, 0x9, 0x76, 0xfb, 0x61, 0x95);

/////////////////////////////////////////////////////////////////////////////
// CDSAddIn

class CDSAddIn 
    : public IDSAddIn 
    , public CComObjectRoot 
    , public CComCoClass<CDSAddIn, &CLSID_DSAddIn> 
{
public:
    DECLARE_REGISTRY(CDSAddIn, _T("VSNetHelp.DSAddIn.1"),
    _T("VSNETHELP Developer Studio Add-in"), IDS_VSNETHELP_LONGNAME,
        THREADFLAGS_BOTH); 

    CDSAddIn() { m_eHelpType=eTypeVC6; } 

    BEGIN_COM_MAP(CDSAddIn)
        COM_INTERFACE_ENTRY(IDSAddIn)
    END_COM_MAP() 

    DECLARE_NOT_AGGREGATABLE(CDSAddIn)

    // IDSAddIns
public:
    STDMETHOD(OnConnection)(THIS_ IApplication* pApp, VARIANT_BOOL bFirstTime,
        long dwCookie, VARIANT_BOOL* OnConnection);
    STDMETHOD(OnDisconnection)(THIS_ VARIANT_BOOL bLastTime); 

    eHelpSysType m_eHelpType; 

protected:
    CCommandsObj* m_pCommands;
    DWORD m_dwCookie; 

    _IVsHelpSystem * m_pRawHelp; 
}; 


#endif // !defined(AFX_DSADDIN_H__A2DD20E7_018B_409E_A2DA_77F3B1F7F761__INCLUDED)
