#pragma once 

#include "resource.h" 

class CDlgSettings 
    : public CDialogImpl<CDlgSettings> 
    , public CWinDataExchange<CDlgSettings> 
{ 
public: 
    CDlgSettings(); 
    ~CDlgSettings(); 
    enum { IDD = IDD_SETTINGS }; 

    eHelpSysType m_nSelection; 

    BEGIN_MSG_MAP(CDlgSettings) 
        MESSAGE_HANDLER(WM_INITDIALOG, OnInitDialog) 
        MESSAGE_HANDLER(WM_TIMER, OnWmTimer) 
        COMMAND_HANDLER(IDOK, BN_CLICKED, OnClickedCancelOK) 
        COMMAND_HANDLER(IDCANCEL, BN_CLICKED, OnClickedCancelOK) 
    END_MSG_MAP() 

    BEGIN_DDX_MAP(CDlgSettings) 
        DDX_RADIO(IDC_RADIO_NONE, (int &)m_nSelection); 
    END_DDX_MAP() 

    LRESULT OnInitDialog(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled); 
    LRESULT OnWmTimer(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled); 
    LRESULT OnClickedCancelOK(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled); 
}; 


